package com.bonus.canteen.core.supply.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDate;

@ApiModel(
   value = "采购订单付款方式表",
   description = "采购订单付款方式表"
)
public class DrpOrderGoodsPayStyle implements Serializable {
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("采购订单号")
   private String orderGoodsId;
   @ApiModelProperty("付款方式(1一次性付款,2分期付款)")
   private Integer payMoneyStyle;
   @ApiModelProperty("付款日期")
   private LocalDate payMoneyDate;
   @ApiModelProperty("收款银行")
   private String collectMoneyBank;
   @ApiModelProperty("收款账号")
   private String collectMoneyAccount;
   @ApiModelProperty("账户名称")
   private String collectMoneyAccountName;
   @ApiModelProperty("备注")
   private String remark;

   public Long getId() {
      return this.id;
   }

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Integer getPayMoneyStyle() {
      return this.payMoneyStyle;
   }

   public LocalDate getPayMoneyDate() {
      return this.payMoneyDate;
   }

   public String getCollectMoneyBank() {
      return this.collectMoneyBank;
   }

   public String getCollectMoneyAccount() {
      return this.collectMoneyAccount;
   }

   public String getCollectMoneyAccountName() {
      return this.collectMoneyAccountName;
   }

   public String getRemark() {
      return this.remark;
   }

   public DrpOrderGoodsPayStyle setId(final Long id) {
      this.id = id;
      return this;
   }

   public DrpOrderGoodsPayStyle setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
      return this;
   }

   public DrpOrderGoodsPayStyle setPayMoneyStyle(final Integer payMoneyStyle) {
      this.payMoneyStyle = payMoneyStyle;
      return this;
   }

   public DrpOrderGoodsPayStyle setPayMoneyDate(final LocalDate payMoneyDate) {
      this.payMoneyDate = payMoneyDate;
      return this;
   }

   public DrpOrderGoodsPayStyle setCollectMoneyBank(final String collectMoneyBank) {
      this.collectMoneyBank = collectMoneyBank;
      return this;
   }

   public DrpOrderGoodsPayStyle setCollectMoneyAccount(final String collectMoneyAccount) {
      this.collectMoneyAccount = collectMoneyAccount;
      return this;
   }

   public DrpOrderGoodsPayStyle setCollectMoneyAccountName(final String collectMoneyAccountName) {
      this.collectMoneyAccountName = collectMoneyAccountName;
      return this;
   }

   public DrpOrderGoodsPayStyle setRemark(final String remark) {
      this.remark = remark;
      return this;
   }


   public String toString() {
      Long var10000 = this.getId();
      return "DrpOrderGoodsPayStyle(id=" + var10000 + ", orderGoodsId=" + this.getOrderGoodsId() + ", payMoneyStyle=" + this.getPayMoneyStyle() + ", payMoneyDate=" + String.valueOf(this.getPayMoneyDate()) + ", collectMoneyBank=" + this.getCollectMoneyBank() + ", collectMoneyAccount=" + this.getCollectMoneyAccount() + ", collectMoneyAccountName=" + this.getCollectMoneyAccountName() + ", remark=" + this.getRemark() + ")";
   }
}
